<?php

$plugin_info = array(
	'pi_name' => 'BN Guess Blog Name',
	'pi_version' => '1.0',
	'pi_author' => 'Chris Newton',
	'pi_author_url' => 'http://barrettnewton.com/',
	'pi_description' => 'Strips _archive, _detail, _landing off of the end of passed-in values',
	'pi_usage' => Bn_guess_blog_name::usage()
	);

class Bn_guess_blog_name
{

	var $return_data = "";

	function Bn_guess_blog_name()
	{
	    global $TMPL;

	    $segment = $TMPL->fetch_param('segment');
		
		$archive_pos 	= strpos($segment,"_archive"); 
		$detail_pos 	= strpos($segment, "_detail");
		$landing_pos 	= strpos($segment, "_landing");

		if ($archive_pos!==FALSE)
		{
			$temp_arr =  str_split($segment, $archive_pos); 
			$this->return_data =$temp_arr[0];
		}
		elseif ($detail_pos!==FALSE)
		{
			$temp_arr =  str_split($segment, $detail_pos); 
			$this->return_data =$temp_arr[0];
		}
		elseif ($landing_pos!==FALSE)
		{
			$temp_arr =  str_split($segment, $landing_pos); 
			$this->return_data =$temp_arr[0];
		}
		else
		{
			$this->return_data = $segment; 
		}
	}
	function usage()
	{
	ob_start(); 
	?>
Many times we build templates for each blog, ie: blog, blog_detail, blog_archive, blog_landing. We've found  it useful to pull the name of the current blog from the template name. This plugin strips the word _detail or _archive, etc off of the end of a passed in value, and returns the value. This is useful for reusing one shared template for multiple blogs. Obviously your templates will need to contain the name of the blog to be useful. 

Parameters:

segment- a word or segment variable that needs to be tested. 

{exp:bn_guess_blog_name segment="{segment_2}"}

	<?php
	$buffer = ob_get_contents();

	ob_end_clean(); 

	return $buffer;
	}
	// END

}
